List audit logs
curl --request POST \
--url https://app.base44.com/api/v1/audit-logs/{workspace_id}/list \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"event_types": [
"auth.login",
"app.entity.created"
],
"user_email": "jane@acme.com",
"status": "success",
"start_date": "2026-01-01T00:00:00Z",
"end_date": "2026-02-01T00:00:00Z",
"app_id": "6820f3a4e7b91d003c45a1f2",
"limit": 100,
"cursor": "gAAAAABn7vJ...",
"order": "DESC"
}
'import requests
url = "https://app.base44.com/api/v1/audit-logs/{workspace_id}/list"
payload = {
"event_types": ["auth.login", "app.entity.created"],
"user_email": "jane@acme.com",
"status": "success",
"start_date": "2026-01-01T00:00:00Z",
"end_date": "2026-02-01T00:00:00Z",
"app_id": "6820f3a4e7b91d003c45a1f2",
"limit": 100,
"cursor": "gAAAAABn7vJ...",
"order": "DESC"
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_types: ['auth.login', 'app.entity.created'],
user_email: 'jane@acme.com',
status: 'success',
start_date: '2026-01-01T00:00:00Z',
end_date: '2026-02-01T00:00:00Z',
app_id: '6820f3a4e7b91d003c45a1f2',
limit: 100,
cursor: 'gAAAAABn7vJ...',
order: 'DESC'
})
};
fetch('https://app.base44.com/api/v1/audit-logs/{workspace_id}/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"timestamp": "2026-01-15T09:23:41Z",
"user_email": "jane@acme.com",
"workspace_id": "67f2c8e01a3b5d004e92d7a1",
"app_id": "6820f3a4e7b91d003c45a1f2",
"ip": "203.0.113.42",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)",
"event_type": "auth.login",
"status": "success",
"error_code": "",
"metadata": {
"auth_method": "email_password"
}
}
],
"pagination": {
"total": 347,
"next_cursor": "gAAAAABn7vJ..."
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}audit-logs
List audit logs
Returns paginated audit log events for a workspace.
You can filter by:
- Event type
- App
- User email
- Status
- Date range
Results use cursor-based pagination.
POST
/
{workspace_id}
/
list
List audit logs
Authorizations
API key for authentication. See the Authentication page for your API for details on how to get your key.
Body
application/json
Request body for listing audit log events.
Filter by user email.
Example:
"jane@acme.com"
Filter by status. Either "success" or "failure".
Example:
"success"
Filter events from this date (inclusive) in YYYY-MM-DDTHH:MM:SSZ format.
Example:
"2026-01-01T00:00:00Z"
Filter events until this date (exclusive) in YYYY-MM-DDTHH:MM:SSZ format.
Example:
"2026-02-01T00:00:00Z"
App ID to narrow results to a specific app.
Example:
"6820f3a4e7b91d003c45a1f2"
Number of events per page.
Required range:
1 <= x <= 1000Example:
100
Pagination cursor from a previous response.
Example:
"gAAAAABn7vJ..."
Sort order by timestamp.
Available options:
ASC, DESC Example:
"DESC"
Was this page helpful?
⌘I